<script lang="ts">
    export let panel: string
</script>

<nav role="tablist" aria-label="DistrictField Tabs">
    <button
        role="tab"
        aria-selected={panel === 'buildings'}
        aria-controls="panel-buildings"
        id="tab-buildings"
        tabindex="0"
        on:click={() => (panel = 'buildings')}
    >
        Buildings
    </button>
    <button
        role="tab"
        aria-selected={panel === 'units'}
        aria-controls="panel-units"
        id="tab-units"
        tabindex="0"
        on:click={() => (panel = 'units')}
    >
        Units
    </button>
</nav>

<style lang="postcss">
    nav {
        @apply grid grid-cols-2 gap-2 mr-6
        bg-gradient-to-r from-fuchsia-200 to-indigo-200
        dark:from-fuchsia-900 dark:to-indigo-900;
        clip-path: polygon(100% 0, 100% 100%, 0 calc(100% - 0.75rem), 0 0);

        button {
            @apply outline-none py-6
            text-trueGray-900 dark:text-trueGray-50 font-semibold text-lg
            transition-all duration-150 ease-out;
            clip-path: polygon(calc(100% - 0.25rem) 0, 100% 100%, 0.25rem 100%, 0 0);

            &:first-child {
                clip-path: polygon(calc(100% - 0.25rem) 0, 100% 100%, 0 100%, 0 0);
            }

            &:not(:last-child) {
                @apply -mr-3;
            }

            &[aria-selected='true'] {
                @apply cursor-default;
            }

            &[aria-selected='false'] {
                @apply bg-white/50 dark:bg-white/30 hover:bg-white/20 hover:dark:bg-white/20;
            }
        }
    }
</style>
